import request from '../request'

// 查询测试者认证申请列表
export function listTesterApply(query) {
  return request({
    url: '/tester/TesterApply/list',
    method: 'get',
    params: query
  })
}

// 查询未审核测试者认证申请列表
export function unaudit(query) {
  return request({
    url: '/tester/TesterApply/unaudit',
    method: 'get',
    params: query
  })
}

// 查询测试者认证申请详细
export function getTesterApply(applyId) {
  return request({
    url: '/tester/TesterApply/' + applyId,
    method: 'get'
  })
}

// // 查询测试者认证申请所有相关文件
// export function getAllFileInfo(applyId) {
//   return request({
//     url: '/tester/TesterApply/FileInfo/' + applyId,
//     method: 'get'
//   })
// }

// 通过用户ID查询测试者认证申请详细
export function getTesterApplyByUid(userID) {
  return request({
    url: '/tester/TesterApply/uid/' + userID,
    method: 'get'
  })
}

// 新增普通用户升级为个人测试者认证申请
export function addTesterApply(data) {
  return request({
    url: '/tester/TesterApply/add',
    method: 'post',
    data: data
  })
}

// 新增普通用户升级为企业测试者认证申请
export function addP2CT(data) {
  return request({
    url: '/tester/TesterApply/addP2CT',
    method: 'post',
    data: data
  })
}

// 新增企业升级为企业测试者认证申请
export function addC2CT(data) {
  return request({
    url: '/tester/TesterApply/addC2CT',
    method: 'post',
    data: data
  })
}

// 查询认证状态
export function certificationStatus() {
  return request({
    url: '/tester/TesterApply/certificationStatus',
    method: 'get'
  })
}

// 修改测试者认证申请
// export function updateTesterApply(data) {
//   return request({
//     url: '/tester/TesterApply',
//     method: 'put',
//     data: data
//   })
// }

// 更改测试者认证申请审核状态
export function changeTAStatus(data) {
  return request({
    url: '/tester/TesterApply/changeApprovalStatus',
    method: 'put',
    data: data
  })
}

// 删除测试者认证申请
export function delTesterApply(applyId) {
  return request({
    url: '/tester/TesterApply/' + applyId,
    method: 'delete'
  })
}

// 导出测试者认证申请
export function exportTesterApply(query) {
  return request({
    url: '/tester/TesterApply/export',
    method: 'get',
    params: query
  })
}